Name:           perl-Unicode-String
Version:        2.06
Release:        1mdk
License:        GPL or Artistic

%define realname        Unicode-String
Group:          Development/Perl
Summary:        Unicode-String module for perl
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Unicode/%{realname}-%{version}.tar.gz
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel
Requires:       perl >= 5.005


%description
These are experimental modules to handle various Unicode issues.  They
were made before perl included native UTF8 support.

More information on what Unicode is and can do for you are to be found
at http://www.unicode.org


%prep
%setup -q -n %{realname}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_libdir}/perl5/site_perl/*/%{_arch}-linux/auto/Unicode/String/
%{_libdir}/perl5/site_perl/*/%{_arch}-linux/Unicode/*.pm
%{_libdir}/perl5/man/man3/*

%changelog
* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.06-1mdk
- First MandrakeSoft Package
